GWT 2.7.0

## com.google.gwt.user.client.ui
Class ScrollImpl.ScrollImplTrident

    java.lang.Object
      com.google.gwt.user.client.ui.ScrollImpl
          com.google.gwt.user.client.ui.ScrollImpl.ScrollImplTrident

Enclosing class:
  ScrollImpl

    static class ScrollImpl.ScrollImplTrident

extends ScrollImpl

IE does not fire a scroll event when the scrollable element or the container is resized, so we synthesize one as needed. IE scrolls in the positive direction, even in RTL mode.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ScrollImpl
`ScrollImpl.ScrollImplTrident`

Constructor Summary
`ScrollImpl.ScrollImplTrident()`

Method Summary
`void` | `initialize(Element scrollable, Element container)` Initialize a scrollable element.
`boolean` | `isRtl(Element scrollable)` Check if the specified element has an RTL direction.

Methods inherited from class com.google.gwt.user.client.ui.ScrollImpl
`get, getMaximumHorizontalScrollPosition, getMinimumHorizontalScrollPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollImpl.ScrollImplTrident

    ScrollImpl.ScrollImplTrident()

Method Detail

### initialize

    public void initialize(Element scrollable,
                           Element container)

  Description copied from class: `ScrollImpl`
  Initialize a scrollable element.

  Overrides:
    `initialize` in class `ScrollImpl`
  Parameters:
    `scrollable` - the scrollable element
    `container` - the container

### isRtl

    public boolean isRtl(Element scrollable)

  Description copied from class: `ScrollImpl`
  Check if the specified element has an RTL direction. We can't base this on the current locale because the user can modify the direction at the DOM level.

  Overrides:
    `isRtl` in class `ScrollImpl`
  Parameters:
    `scrollable` - the scrollable element
  Returns:
    true if the direction is RTL, false if LTR

GWT 2.7.0